%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: Provides missing functionality for older versions of PHP
Name: 		php-pear-PHP-Compat
Version: 	1.5.0
Release: 	1%{?dist}
License: 	PHP License
Group: 		Development/Libraries
Source0: 	http://pear.php.net/get/PHP_Compat-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: 		http://pear.php.net/package/PHP_Compat
BuildRequires: 	php-pear(PEAR)
Requires: 	php-pear(PEAR)
Provides: 	php-pear(PHP_Compat) = %{version}
BuildArchitectures: noarch

%description
PHP_Compat provides missing functionality for older versions of PHP.


%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm -f pearrc
rm -f %{buildroot}/%{peardir}/.filemap
rm -f %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm -rf %{buildroot}%{peardir}/.depdb*

# Install XML package description
mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{_libdir}/php/pear/PHP_Compat.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/PHP_Compat.xml >/dev/null

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only PHP_Compat >/dev/null
fi

%files
%defattr(-,root,root)
%{peardir}/PHP/Compat
%{peardir}/PHP/Compat.php
%{peardir}/tests/PHP_Compat
%{_libdir}/php/pear/PHP_Compat.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.9.3-1.fc{3,4,5}.remi
- initial RPM
